package SortedList;

public class SortedList {

	private Node first = null;
	
	public void InsertSorted(int value)
	{
		// wenn liste leer --> ersetze first durch neues element
		if (first == null || value <= first.value)
		{
			first = new Node(value, first);
		}
		else 		// suche Einfgeposition und fge ein
		{
			Node v = first;
			while (v.next != null && value > v.next.value)
				v = v.next;
			v.next = new Node(value, v.next);
		}
	}
	
	public void Print()
	{
		Node n = first;
		System.out.print("liste:");
		while (n != null)
		{
			System.out.print(" " + n.value);
			n = n.next;
		}
		System.out.println();
	}
	
	public void Clear()
	{
		first = null;
	}
}
